Google Groups

Re: Error while building native extensions


Joe Ferris Oct 29, 2012 6:31 AM
Posted in group: capybara-webkit
Hey,

I need to look at the build process and see why errors aren't being written to the log. In the mean time, I'd try cloning the project and trying to build from there:

cd capybara-webkit
bundle install
bundle exec rake build

-Joe

On Monday, October 29, 2012 at 9:20 AM, Ajedi32 wrote:

I'm trying to install the webkit driver for capybara on Windows, and I'm getting the following error:

$ gem install capybara-webkit-0.12.1.gem
Temporarily enhancing PATH to include DevKit...
Building native extensions. This could take a while...
ERROR: Error installing capybara-webkit-0.12.1.gem:
ERROR: Failed to build gem native extension.
c:/RailsInstaller/Ruby1.9.3/bin/ruby.exe extconf.rb
Gem files will remain installed in c:/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/capybara-webkit-0.12.1 for inspection.
Results logged to c:/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/capybara-webkit-0.12.1/./gem_make.out

And here's what's in the log file:

C:\>cat c:/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/capybara-webkit-0.12.1/./gem_make.out
c:/RailsInstaller/Ruby1.9.3/bin/ruby.exe extconf.rb

I've been trying for some time now to figure out what the problem is. The log file isn't very helpful, and the solutions to similar problems that I found were either specific to Unix or and didn't work for me. I'd appreciate any help you can give me.

Note: This question was cross-posted from StackOverflow. (http://stackoverflow.com/q/12936623/1157054)